cutlass::gemm::threadblock::GemmHorizontalThreadblockSwizzle Struct Reference

Threadblock swizzling function for GEMMs.

`#include <threadblock_swizzle.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE | GemmHorizontalThreadblockSwizzle ()
CUTLASS_HOST_DEVICE GemmCoord | get_tiled_shape (GemmCoord problem_size, GemmCoord tile_size, int split_k_slices) const
| Returns the shape of the problem in units of logical tiles. More...
CUTLASS_HOST_DEVICE dim3 | get_grid_shape (GemmCoord tiled_shape) const
| Computes CUDA grid dimensions given a size in units of logical tiles. More...
CUTLASS_DEVICE GemmCoord | get_tile_offset () const
| Obtains the threadblock offset (in units of threadblock-scoped tiles) More...

## Constructor & Destructor Documentation

CUTLASS_HOST_DEVICE cutlass::gemm::threadblock::GemmHorizontalThreadblockSwizzle::GemmHorizontalThreadblockSwizzle | ( |  | ) |

inline

## Member Function Documentation

CUTLASS_HOST_DEVICE dim3 cutlass::gemm::threadblock::GemmHorizontalThreadblockSwizzle::get_grid_shape | ( | GemmCoord | tiled_shape | ) | const

inline

CUTLASS_DEVICE GemmCoord cutlass::gemm::threadblock::GemmHorizontalThreadblockSwizzle::get_tile_offset | ( |  | ) | const

inline

CUTLASS_HOST_DEVICE GemmCoord cutlass::gemm::threadblock::GemmHorizontalThreadblockSwizzle::get_tiled_shape | ( | GemmCoord | problem_size,
|  | GemmCoord | tile_size,
|  | int | split_k_slices
| ) |  | const

inline

The documentation for this struct was generated from the following file:

- gemm/threadblock/threadblock_swizzle.h